%define upstream_name    Module-Runtime-Conflicts
%define upstream_version 0.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Provide information on conflicts for Module::Runtime
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::CheckConflicts)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module provides conflicts checking for the Module::Runtime manpage,
which had a recent release that broke some versions of the Moose manpage.
It is called from the Moose::Conflicts manpage and 'moose-outdated'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes CONTRIBUTING INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-3.mga6
+ Revision: 1030299
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.2.0-2.mga6
+ Revision: 966105
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 shlomif <shlomif> 0.2.0-1.mga6
+ Revision: 840751
- Importing perl-Module-Runtime-Conflicts


* Tue Jun 23 2015 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
